Make it SUPER obvious how to register for Phabricator for newer KDE fans
Closed, ResolvedPublic

Description

Hello,

I heard about the effort to streamline and enhance the community engagement here from the Destination Linux Podcast. I clicked on the link on the show notes relating to this task and noticed there was no way to register for this platform (phabricator) to get involved by commenting/posting/adding tasks.

My recommendation is to somehow include this by default on all phabricator pages on the footer of the pages or automatically embedded on all posts (are there template settings for posts where this can be enabled by default?). This way, people can register and begin adding to it almost instantly. I had to go to the IRC to learn how to register here.

From my experience in on-boarding staff at previous jobs and currently with clients that I assist in trainings, the less friction between awareness to getting into position to "give back", the better.

If we are talking about on-boarding here I would imagine

profetikx renamed this task from Make it SUPER obvious how to register to Make it SUPER obvious how to register for Phabricator for newer KDE fans.

I will create a page for elaborating the process of registering on Phabricator and creating reviews shortly and link it here. Footer idea is also cool :)

rkflx added a subscriber: rkflx.Dec 26 2017, 8:30 AM

I agree there is still room for improvements to make it easier to register. People I have in mind here are those who want to start contributing changes to the code, get involved in the VDG, do promotional things etc., i.e. everything not related to bug reporting or triaging for which Bugzilla is the place to go at the moment.

You might also want to look at what was done in T6171. While this fixed the immediate brokenness by removing the "Register" string in Phabricator's UI, it did make it harder for those actually trying to locate a "Register" string on the page.

I could imagine several ways to improve upon this:

  • Easy: Change the current title to include something about "Register", if possible make the URL a clickable link. Add a link to Bugzilla, too.
  • Intermediate: Improve/create community wiki page detailing usage and role of Phabricator, link it from Phabricator's login page.
  • Harder: Implement something like Wikimedia's custom extension, perhaps even get upstream Phabricator to allow for such things.

In any case, make sure to work with Ben Cooksley for plans and changes wrt. Phabricator.

I will create a page for elaborating the process of registering on Phabricator and creating reviews shortly and link it here. Footer idea is also cool :)

We already have such a page: https://community.kde.org/Infrastructure/Phabricator

That fact that you didn't know about it suggests that we should advertise it more heavily. But feel free to improve it, of course.

Thanks for the attention and comments to this.

For the record, any and all solutions presented from me usually follows two questions:

  1. How can we automate this?
  1. How can this enhanced from UI/UX
  1. Automation - because much of this is volunteer, putting a button somewhere manually or creating new content to point to old content that describes how to register is just putting a band-aid...now, people will have to find that one link to learn more about another link. Let's just implement something that follows the user...
  1. Enhanced UI/UX - This is the basis for my suggestion of embedding in the footer of the pages ("Did you sign up for your account yet?" or, like almost every new login page for most web 2.0 technologies online , the login page ALSO features a registration link...Canva.com does something that is subtle but genius...it presents its registration sign up page with primary space, and login as secondary space to login. The button on the top right corner could be "Register / Log in" and when clicked, be taken to a page made similar to canva.

Hope this makes sense.

Don't overthink it, just do it! ;)

@es20490446e agreed. I am super new to this, who would you recommend this get assigned to? And what is the best path for someone who is new to go from posting ---> to implementation for something like this? What is an ideal background someone should have?

Cannot be answered in a simple way. Basically what we need is to put Fabricator right in the place where people would be looking for it, and the process to be as simple and straightforward as possible.

Every extra step of piece of info that doesn't ease registering is waste. So any small shrinking in that direction would be useful.

One thing that would help a lot is to record the current process of registering in video, from the search to the end of it, so we can see at any time what could be the greatest bottleneck of it.

Well, here is a video. I think it might surprise some how much digging you would have to do in order to come to the realization that phabricator is the place where a lot of things get done if one is interested in contributing. Digging into a resource manual after several clicks fall below the bar of what can and should be done, in my opinion.

This should be easy to do whenever someone stumbles on a phab. link (see original post about making the registering new account painfully obvious on top right corner (or at least footer) of all phabricator pages.

I'll be honest - if this is to really be taken seriously, then I would strongly recommend that the "get involved" pages from kde.org and community.kde.org have a couple links on 1. how to get registered to begin contributing, but also 2. a brief overview of the onboarding process...yes, an onboarding to onboarding...this way they don't feel lost or overwhelmed (or distracted) by IRC, forums etc....

Hope that helps get the ball rolling .

Thank you, that's quite useful :)

I cannot comment about the video right now because I won't be having proper Internet during Christmas to watch videos, but I think someone else could.

rkflx added a comment.Jan 3 2018, 9:31 PM

Thanks for the video, you are making good progress towards changing things for the better. There are two root problems I can extract from it:

  • (Minor) Once you end up on Phabricator, registering is not obvious. Essentially the button should say "Login/Register", see T7646#121757 for more.
  • (Major) Outdated/missing website content in a bunch of places.

Let me expand on the last point: KDE is a huge project, with even more work to do and also people working on an array of different things (e.g. those working on or in Phabricator don't necessarily have the bandwidth/skill/time/interest to also update the website regarding this). Sometimes this means some parts are more up-to-date and others lag behind for a while until someone comes along fixing things. For the website and wikis, you can clearly tell there were people some years ago putting in a huge effort, but today newer content (like Phabricator, which is relatively recent) is missing. That's just how it is.

The general process for improvements is like this:

  1. Notice a problem.
  2. Get an idea for the solution.
  3. Implement the solution in detail (patch, mockup, proposal – depending on the area).
  4. Work with other to improve/review the solution and roll it out.

That's exactly where you come in: You did the first two steps, now I would encourage you to also jump to the next steps. Reading the comments here it sounds like you want to "assign" this task to someone else, but that's not how KDE (or Phabricator in particular) works. You might get tips or find collaborators for step 3 and for the final step people will review your work, of course.

I'd suggest to start small. Pick a single wiki page (e.g. the first from your video) and see what you can improve. If you don't know how to edit a wiki, gain this knowledge by using your favorite search engine. Try looking in the page history for who could review your editing work. If you get stuck, ask specific questions. Before starting, you also might want to browse around a bit to gain knowledge on what is where, what we have already and what is missing.

I know it's hard to change things if you feel inexperienced. However, everybody else who changed things before you was in the same position and worked hard to gain the knowledge necessary. Another tip is to watch what others do for a while. If you are interested in the website and the wiki, find where those teams are hanging around and what their current plans are.

TL;DR: Saying "recommend […] have a couple of links…" likely won't lead to changes. Asking "I want to add these exact words on this specific page, how can I do that?" will probably lead to a better outcome.


One more thing: I doubt Phabricator should be the central landing page for new contributors. This should be a wiki page (or something like https://whatcanidoformozilla.org/) linking to Phabricator, but also Bugzilla, the translation teams and so on. Nevertheless I agree that Phabricator should be featured more prominently for things like code review, task tracking, mockups, promo planning etc..

What is an ideal background someone should have?

Dedication to learn new things. I think you might have it ;)

es20490446e added a comment.EditedJan 3 2018, 9:37 PM

I would say no extensive documentation is needed when the interface is obvious on itself.

matheusm removed a subscriber: matheusm.Jan 3 2018, 9:37 PM
profetikx added a comment.EditedJan 11 2018, 3:22 AM

SO, being very much green I wanted to ask you or anyone where/who I would go to for website edits. After some searching, I quickly found the webpage is wiki style. Because of how crazy it has been, I had to ask in the irc how to get to the registration link again so I can submit sample language and placement on community.kde.org. Wouldn't you know, valorie and I started talking about the issue, and bingo, she agreed to put changes to page as suggested. I also pitched for the auto-forward link like mozilla. Pretty cool! This is my first contribution...and it was surprising to see how easy and simple it was. Thanks again for the support and encouragement.

For now I added some information at https://community.kde.org/Get_Involved#Ways_to_contribute

Thanks to profetikx for raising the issue. We need to make this much more seamless.

FWIW, I updated https://community.kde.org/Get_Involved#Getting_in_touch_and_working_together with a more clear and concise description of how to sign up and log into Phabricator.

I have updated https://community.kde.org/Get_Involved#Getting_in_touch_and_working_together and https://community.kde.org/Infrastructure/Phabricator#Logging_in, and included a picture highlighting the login button.

Out of curiosity, what are our criteria for considering this task done?

rkflx added a comment.Feb 13 2018, 9:08 PM

Out of curiosity, what are our criteria for considering this task done?

I guess that's for @profetikx to answer, but T7646#121757 might be nice to have, covering the use case of "I ended up on this nice Phabricator thing from a Dxxx link on Nate's blog, where do I start contributing from here!?".

For inspiration:
https://reviews.llvm.org/auth/start/?next=%2F
https://reviews.freebsd.org/auth/start/?next=%2F
https://phabricator.haskell.org/auth/start/?next=%2F
https://phabricator.freedesktop.org/auth/start/?next=%2F
https://dev.gnupg.org/auth/start/?next=%2F
https://developer.blender.org/auth/start/?next=%2F
https://code.wildfiregames.com/auth/start/?next=%2F
https://phab.urz.uni-heidelberg.de/
https://scm.sra.uni-hannover.de/auth/start/?next=%2F
https://phabricator.wikimedia.org/auth/start/?next=%2F
More here (but without direct link)

Not sure if Register New Account could be changed to redirect to Identity, but UHD's or Blender's help text at the top/bottom would be a huge step forward, as well as changing the topbar button on every page to say Login/Register instead of only Login.

Thoughts?

I really like UHD's explanatory text above the login box. We should implement that, with some short documentation and a link pointing to identity.kde.org. Who has the power to do this? KDE Sysadmins?

Great stuff.

I would say if we can't get a sys/admin to make the change to Login/Register, then let's mark it as done. If it is an easy fix, which we won't know until we ask, let's shoot for the change to login/register.

profetikx closed this task as Resolved.Sun, May 27, 3:38 AM